VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Macros | Variables
hostcheckercontroller.cpp File Reference
`#include "hostcheckercontroller.h"`
`#include "cids.h"`
`#include "editorsizecontroller.h"`
`#include "eventlogdatabrowsersource.h"`
`#include "hostcheckerprocessor.h"`
`#include "logevents.h"`
`#include "base/source/fstreamer.h"`
`#include "public.sdk/source/common/systemclipboard.h"`
`#include "public.sdk/source/vst/utility/stringconvert.h"`
`#include "public.sdk/source/vst/vstcomponentbase.h"`
`#include "public.sdk/source/vst/vstrepresentation.h"`
`#include "pluginterfaces/base/ibstream.h"`
`#include "pluginterfaces/base/ustring.h"`
`#include "pluginterfaces/vst/ivstcontextmenu.h"`
`#include "pluginterfaces/vst/ivstmidicontrollers.h"`
`#include "pluginterfaces/vst/ivstpluginterfacesupport.h"`
`#include "pluginterfaces/vst/ivstdataexchange.h"`
`#include <sstream>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Macros
#define | THREAD_CHECK_MSG(msg) "The host called '" msg "' in the wrong thread context.\n"

## Variables
bool | THREAD_CHECK_EXIT = true

## Macro Definition Documentation

#define THREAD_CHECK_MSG | ( |  | msg | ) | "The host called '" msg "' in the wrong thread context.\n"

## Variable Documentation

bool THREAD_CHECK_EXIT = true

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.